Subject: process-lines

From: Eli Zaretskii <[email-masked]>
Date: Sun, 19 Oct 2008 14:36:32 +0200

Package: emacs
Severity: wishlist

[ resent from
http://lists.gnu.org/archive/html/emacs-devel/2008-10/msg00356.html ]

This function signals an error if the program it runs exits with a
non-zero status.  That sounds like an unfortunate limitation for a
general-purpose subroutine, since some programs convey useful
information through non-zero status.  Diff is one example of such
programs; there are others.

I suggest to add an optional argument to control the behavior when the
program exits "abnormally".